package cn.minbb.evaluation.utils;

import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.view.View;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.CycleInterpolator;
import android.view.animation.TranslateAnimation;

public class AnimationUtil {

    // 晃动动画
    public static void setShakeAnimation(View view) {
        Animation translateAnimation = new TranslateAnimation(0, 10, 0, 0);
        translateAnimation.setInterpolator(new CycleInterpolator(6));
        translateAnimation.setDuration(1000);
        view.startAnimation(translateAnimation);
    }

    // 旋转晃动动画
    public static void setRotateShakeAnimation(View view) {
        long duration = 1200;
        ObjectAnimator animatorAlpha = ObjectAnimator.ofFloat(view, "alpha", 1f, 0.2f, 1f);
        animatorAlpha.setDuration(duration);
        animatorAlpha.start();
        ValueAnimator animatorRotation = ObjectAnimator.ofFloat(view, "rotation", 0, 8, -9, 12, -12, 10, -10, 6, -6, 3, -3, 1, -1, 0);
        animatorRotation.setDuration(duration);
        animatorRotation.setInterpolator(new AccelerateInterpolator());
        animatorRotation.start();
    }
}
