package cn.minbb.evaluation.dao;

import java.util.Collection;
import java.util.List;

public abstract class Dao<T> {

    public abstract T findById(Long id);

    public abstract T findByE_Id(Long e_id);

    public abstract List<T> findAll();

    public abstract T save(T var);

    public abstract List<T> saveAll(Collection<T> var);

    public abstract void delete(T var);

    public abstract void deleteAll();
}
