package cn.minbb.evaluation.dao;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class DatabaseUtil extends SQLiteOpenHelper {

    private DatabaseUtil(Context context, String name, SQLiteDatabase.CursorFactory factory, int version) {
        super(context, name, factory, version);
    }

    private static DatabaseUtil databaseUtil = null;

    public static DatabaseUtil getInstance(Context context) {
        if (databaseUtil == null) {
            // 指定数据库名为 evaluation，需修改时在此修改；此处使用默认构造方法；指定版本为 1
            databaseUtil = new DatabaseUtil(context, "Evaluation.db", null, 1);
        }
        return databaseUtil;
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        // 创建题目分类数据表，非 AUTOINCREMENT
//        db.execSQL("CREATE TABLE IF NOT EXISTS classification(" +
//                "id INTEGER PRIMARY KEY," +
//                "created_at DATETIME, " +
//                "updated_at DATETIME," +
//                "version INT," +
//                "name TEXT," +
//                "introduction TEXT, " +
//                "remark TEXT)");
        // 创建试卷数据表
//        db.execSQL("CREATE TABLE IF NOT EXISTS paper(" +
//                "id INTEGER PRIMARY KEY," +
//                "created_at DATETIME, " +
//                "updated_at DATETIME," +
//                "version INT," +
//                "user_id INT," +
//                "score FLOAT, " +
//                "mark FLOAT, " +
//                "started_at DATETIME, " +
//                "ended_at DATETIME)");
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
    }
}
