package cn.minbb.evaluation.entity;

import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.Date;
import java.util.Set;

@Table(name = "message")
@NoArgsConstructor
// 消息实体
public class Message {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "content")
    // 消息内容
    private String content;

    @Getter
    @Setter
    @Column(name = "type")
    // 消息类型
    private Integer type;

    @Getter
    @Setter
    @Column(name = "status")
    // 接收状态
    private Boolean status;

    @Getter
    @Setter
    @Column(name = "user_from_id")
    // 消息发送者
    private User userFrom;

    @Getter
    @Setter
    // 消息接收者（集合）
    private Set<User> userTo;

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;

    @Column(name = "version")
    public Long version;
}
