package cn.minbb.evaluation.entity;

import com.activeandroid.Model;
import com.activeandroid.annotation.Column;
import com.activeandroid.annotation.Table;

import java.util.Date;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@NoArgsConstructor
@Table(name = "version", id = "id")
// 版本实体
public class Version extends Model {

    @Getter
    @Setter
    @Column(name = "e_id")
    private Long e_id;

    @Getter
    @Setter
    @Column(name = "version_code")
    private Integer versionCode;       // 版本号

    @Getter
    @Setter
    @Column(name = "version_name")
    private String versionName;        // 版本名

    @Getter
    @Setter
    @Column(name = "file_name")
    private String fileName;    // 文件名

    @Getter
    @Setter
    @Column(name = "content")
    private String content;     // 更新内容

    @Getter
    @Setter
    @Column(name = "file_size")
    private Integer fileSize;       // 版本新文件大小

    @Getter
    @Setter
    @Column(name = "file_url")
    private String fileUrl;         // 版本新文件下载地址

    @Getter
    @Setter
    @Column(name = "forced")
    private Boolean forced;     // 强制更新

    @Getter
    @Setter
    @Column(name = "created_at")
    private Date createdAt;     // 创建时间

    @Getter
    @Setter
    @Column(name = "updated_at")
    private Date updatedAt;     // 更新时间

    @Column(name = "version")
    private Long version;       // 版本号
}
